# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.Score do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :score,
    :reasons
  ]

  @type t :: %__MODULE__{
    :score => float() | nil,
    :reasons => [FoyerAPI.Model.DeltaReason.t] | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.Score do
  import FoyerAPI.Deserializer
  def decode(value, options) do
    value
    |> deserialize(:reasons, :list, FoyerAPI.Model.DeltaReason, options)
  end
end

